PHP 手冊
前一頁 |  | 下一頁

# XSLTProcessor->setParameter()

XSLTProcessor->setParameter() -- Set value for a parameter

## Description

class XSLTProcessor {
bool setParameter ( string namespace, mixed name [, string value] )
}

Sets the value of one or more parameters to be used in subsequent transformations with XSLTProcessor. If the parameter doesn't exist in the stylesheet it will be ignored.

## Parameters

namespaceURI

  The namespace URI of the XSLT parameter.

localName

  The local name of the XSLT parameter. This can be either a string representing the parameter name or an array of name => value pairs.

value

  The new value of the XSLT parameter.

## Return Values

成功回傳`TRUE`失敗回傳`FALSE`。

## 範例

範例 1. Changing the owner before the transformation

`<?php
$collections = array(
'Marc Rutkowski' => 'marc',
'Olivier Parmentier' => 'olivier'
);
$xsl = new DOMDocument;
$xsl->load('collection.xsl');
// Configure the transformer
$proc = new XSLTProcessor;
$proc->importStyleSheet($xsl); // attach the xsl rules
foreach ($collections as $name => $file) {
// Load the XML source
$xml = new DOMDocument;
$xml->load('collection_' . $file . '.xml');
$proc->setParameter('', 'owner', $name);
$proc->transformToURI($xml, 'file:///tmp/' . $file . '.html');
}
?>`

## 參考

XSLTProcessor->getParameter()
XSLTProcessor->removeParameter()

前一頁 | 內容 | 下一頁
XSLTProcessor->removeParameter() | 上一層 | XSLTProcessor->transformToDoc()